1997-08-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-charset-coding-system-alist): iso-2022-jp-2 is
	defined as coding-system.


1997-07-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.44 was released.

1997-07-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (mime-charset-coding-system-alist): `iso-2022-ss2-7'
	-> `iso-2022-7bit-ss2'. (for Emacs 20.0.90)

1997-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* richtext.el: Add autoload comments for `richtext-encode' and
	`richtext-decode'.

	* emu.el: Check richtext.el is bundled.

1997-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-charset-coding-system-alist): iso-8859-1,
	hz-gb-2312, cn-gb-2312, gb2312, cn-big5 and koi8-r were defined as
	coding-system.

	* emu-x20.el: Don't require cyrillic.

Thu May 22 04:46:57 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-mule.el (make-char): New alias.

	* emu-e20.el: Alias `make-character' was abolished.


1997-05-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.43.1 was released.

Thu May  8 22:21:36 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Use `binary' instead of `no-conversion' temporary.


1997-04-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.43 was released.

	* emu-x20.el: several changes for XEmacs 20.1-b12.

Tue Apr  8 09:47:40 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (point-at-eol): New function.

Sat Apr  5 16:23:23 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el: `tl:available-face-attribute-alist' ->
	`emu:available-face-attribute-alist'.

	* emu-nemacs.el, emu-mule.el: `tl:make-overlay' -> `make-overlay';
 	`tl:overlay-put' -> `overlay-put'.

Sat Apr  5 06:50:48 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-xemacs.el: Alias `tl:make-overlay', `tl:overlay-put' and
 	`tl:overlay-buffer' were abolished; Function `tl:move-overlay'
 	were abolished.

	* emu-19.el: Alias `tl:make-overlay', `tl:overlay-put' and
 	`tl:overlay-buffer' were abolished.

	* emu-18.el: `tl:overlay-buffer' -> `overlay-buffer'.

	* emu-xemacs.el: Require overlay.

	* emu.el (char-or-char-int-p): New XEmacs 20 emulating alias.

	* emu.el (minibuffer-prompt-width): New function for Emacs 18 and
 	XEmacs.


1997-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.40.1 was released.

Fri Mar 14 07:19:59 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile, EMU-MK: New file.

	* EMU-ELS: rearrangement.

	* EMU-CFG: New file

Wed Mar 12 14:18:27 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Modified for changing XEmacs/mule API about
 	`file-coding-system' -> `buffer-file-coding-system'.


1997-03-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.40 was released.

	* emu-x20.el (as-binary-process, as-binary-output-file): Use
	`coding-system-for-write' instead of `file-coding-system'.

	(as-binary-input-file, insert-binary-file-contents-literally): Use
 	`coding-system-for-read' instead of `file-coding-system-for-read'.

	* emu-e20.el (mime-charset-coding-system-alist): Delete
 	`iso-2022-int-1' and `shift_jis'.

1997-03-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (defmacro-maybe): New macro.
	(save-selected-window): Use `defmacro-maybe'.

	* emu-18.el (defsubst): New macro.

1997-03-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Constant `*ctext*', `*hz*', `*big5', `*euc-kr*' and
 	`*koi8*' were abolished.

1997-03-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-19.el: Alias `tl:add-text-properties' was abolished.

	* emu-18.el, emu-xemacs.el: Function `tl:add-text-properties' was
 	abolished.

1997-03-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (buffer-substring-no-properties): Use
 	`set-text-properties' instead of `tl:set-text-properties'.

	* emu-19.el: Alias `tl:set-text-properties' was abolished.

	* emu-18.el, emu-xemacs.el: Function `tl:set-text-properties' was
 	abolished.

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-19.el (find-face): New function.


1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.38.1 was released.

1997-03-03  Oscar Figueiredo  <Oscar.Figueiredo@di.epfl.ch>

	* emu-xemacs.el (tl:add-text-properties): In tm-ew-d.el, the
 	function mime/decode-encoded-word calls tl:add-text-properties
 	with 4 parameters while it is defined in emu-xemacs.el to take 3
 	parameters only. (cf. [bug-tm-en:1246])


1997-02-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.38 was released.

	* emu.el: Function `insert-binary-file-contents-literally' was
 	moved to emu-{nemacs|e19|mule|x20|e20}.el.

	* emu-x20.el, emu-e20.el, emu-mule.el, emu-e19.el, emu-nemacs.el
 	(insert-binary-file-contents-literally): New function; moved from
 	emu.el.


1997-02-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37.7 was released.

1997-02-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Variable `xemacs-beta-version' was abolished.

1997-02-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (as-binary-process): Variable `file-coding-system' is
 	effective for `call-process-region'.


1997-01-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37.6 was released.

Thu Jan 30 16:55:00 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* richtext.el (richtext-decode): Variable
 	`enriched-fill-after-visiting' is not found in enriched.el bundled
 	in Emacs 19.34.91-delta.


1997-01-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37.5 was released.

Wed Jan 29 15:48:26 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el, emu-e20.el, emu-e19.el, emu-mule.el, emu-nemacs.el
 	(as-binary-output-file): New macro.

Mon Jan 27 12:11:32 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (mime-charset-coding-system-alist): Modified for GNU
 	MULE 19.34.91-delta.
  	(mime-charset-to-coding-system): Modified for GNU MULE
 	19.34.91-delta.


1997-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37.4 was released.

Sat Jan 18 09:44:43 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (charsets-mime-charset-alist): Sync with emu-e20.el
 	7.9.
	(default-mime-charset): Default was changed to `x-ctext'.
	(mime-charset-coding-system-alist): Add `x-ctext', `hz-gb-2312',
 	`cn-gb-2312' and `cn-big5'; `x-iso-2022-jp-2' and `x-shiftjis' was
 	abolished.

Sat Jan 18 09:35:35 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el: Function `regulate-latin-char' and
 	`regulate-latin-string' were abolished.

	* emu-e20.el (sset): Function `string-embed-string' was renamed to
 	`store-substring'.

Wed Jan 15 18:01:13 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (fontset-pixel-size): modified for GNU MULE 19.34.91.

Wed Jan 15 16:42:47 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el: Alias `charset-columns' was abolished.
	Function `charset-iso-class' was abolished.

	* emu-e20.el: for GNU MULE 19.34.91.

Tue Jan 14 06:35:53 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Alias `charset-description', `find-charset-string',
 	`find-charset-region', `char-width', `string-width' and `sref' has
 	been defined in XEmacs/mule.

	Function `find-non-ascii-charset-string',
 	`find-non-ascii-charset-region', `char-bytes', `char-length',
 	`char-columns', `string-columns' and `truncate-string' has been
 	defined in XEmacs/mule.


Mon Dec 23 14:56:40 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37.3 was released.

Wed Dec 18 13:12:15 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (as-binary-process): Fixed.


Mon Dec 16 14:57:02 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37.2 was released.

Thu Dec 12 02:29:18 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el: Header was modified.


Tue Dec 10 14:41:46 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37.1 was released.

	* emu-e19.el: `charset-latin-1' -> `charset-latin-iso8859-1'.

	* emu-e19.el: Constants to emulate MULE 2.3 leading-char were
 	abolished.
	(find-charset-string, find-charset-region): Use constant
 	`charset-latin-1' instead of `lc-ltn1'.

Sat Dec  7 06:07:15 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Constants to emulate MULE 2.3 leading-char were
 	abolished.

	* emu-x20.el: Sync with patch about charset naming rule
 	(cf. [xemacs-beta:91])

Thu Dec  5 15:15:39 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Sync with XEmacs 20.0 b30.


Wed Dec  4 04:55:36 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.37 was released.

Fri Nov 29 21:22:25 1996  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* emu.el (match-string): New function for Emacs 19.28 or earlier.

Thu Nov 28 19:25:12 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* richtext.el (richtext-decode): Unused local variable `nc' was
 	abolished.

	* richtext.el (richtext-decode): Unused local variable `pc' was
 	abolished.

Thu Nov 28 19:16:18 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (defun-maybe): New macro.
	(buffer-substring-no-properties, add-to-list, buffer-live-p,
 	functionp): Use macro `defun-maybe' instead of `sysdep-defun'.

	* emu-xemacs.el: Don't use sysdep.el.

	* emu-18.el, emu-19.el: Function `sysdep-defun' was abolished.

Thu Nov 28 18:02:42 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (buffer-substring-no-properties, add-to-list,
 	buffer-live-p, functionp): Use `sysdep-defun'.

Thu Nov 28 17:59:45 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-xemacs.el: Use sysdep.el.

	* emu-19.el, emu-18.el (sysdep-defun): New macro.

Wed Nov 27 13:40:42 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (fontset-pixel-size): Renamed from
 	`fontset-pixel-height'.


Sat Nov 16 08:37:04 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.34 was released.

Fri Nov 15 13:59:53 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-xemacs.el: Redefine `file-relative-name' if it is broken.

	* EMU-ELS: New file.
